%--------------------------------------------------------------------------
% File     : ALG012-1 : TPTP v3.0.1. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Partition a monoid into 3 partitions
% Version  : [Cla03] axioms.
% English  : If C,D1,D2 is a partition of a monoid M, we cannot have
%            C * C subset D1 u D2 and Dj * Dj subset C.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.64 v2.7.0
% Syntax   : Number of clauses     :   11 (   2 non-Horn;   4 unit;   9 RR)
%            Number of atoms       :   23 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :   13 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Originally from Thierry Coquand
%--------------------------------------------------------------------------
cnf(f_is_associative,axiom,
    ( f(X,f(Y,Z)) = f(f(X,Y),Z) )).

cnf(partitions_union,axiom,
    ( c(X)
    | d1(X)
    | d2(X) )).

cnf(partitions_exclusive_c_d1,hypothesis,
    ( ~ c(X)
    | ~ d1(X) )).

cnf(partitions_exclusive_c_d2,hypothesis,
    ( ~ c(X)
    | ~ d2(X) )).

cnf(partitions_exclusive_d1_d2,hypothesis,
    ( ~ d1(X)
    | ~ d2(X) )).

cnf(partition_c_not_empty,hypothesis,
    ( c(a1) )).

cnf(partition_d1_not_empty,hypothesis,
    ( d1(a2) )).

cnf(partition_d2_not_empty,hypothesis,
    ( d2(a3) )).

cnf(conjecture_1,negated_conjecture,
    ( d2(f(X,Y))
    | d1(f(X,Y))
    | ~ c(X)
    | ~ c(Y) )).

cnf(conjecture_2,negated_conjecture,
    ( c(f(X,Y))
    | ~ d1(X)
    | ~ d1(Y) )).

cnf(conjecture_3,negated_conjecture,
    ( c(f(X,Y))
    | ~ d2(X)
    | ~ d2(Y) )).

%--------------------------------------------------------------------------
