%--------------------------------------------------------------------------
% File     : CAT001-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY monomorphism => Y monomorphism
% Version  : [Mit67] axioms.
% English  : If xy is a monomorphism, then y is a monomorphism.

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : C1 [MOW76]
%          : p1.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.22 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.4.0, 0.17 v2.3.0, 0.00 v2.2.1, 0.44 v2.2.0, 0.43 v2.1.0, 0.60 v2.0.0
% Syntax   : Number of clauses     :   23 (   0 non-Horn;  10 unit;  17 RR)
%            Number of atoms       :   52 (   3 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    9 (   6 constant; 0-2 arity)
%            Number of variables   :   55 (   5 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
%--------------------------------------------------------------------------
cnf(ab_equals_c,hypothesis,
    ( product(a,b,c) )).

cnf(cancellation_for_product,hypothesis,
    ( ~ product(c,X1,X2)
    | ~ product(c,X3,X2)
    | X1 = X3 )).

cnf(bh_equals_d,hypothesis,
    ( product(b,h,d) )).

cnf(bg_equals_d,hypothesis,
    ( product(b,g,d) )).

cnf(prove_h_equals_g,negated_conjecture,
    (  h != g )).

%--------------------------------------------------------------------------
