%--------------------------------------------------------------------------
% File     : CAT002-4 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : X and Y monomorphisms, XY well-defined => XY monomorphism
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : If x and y are monomorphisms and xy is well-defined then 
%            xy is a monomorphism.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.11 v2.7.0, 0.17 v2.6.0, 0.00 v2.4.0, 0.33 v2.3.0, 0.17 v2.2.1, 0.33 v2.2.0, 0.29 v2.1.0, 0.40 v2.0.0
% Syntax   : Number of clauses     :   17 (   0 non-Horn;   7 unit;  14 RR)
%            Number of atoms       :   31 (  15 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   25 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%----Include Scott's axioms for category theory 
include('Axioms/CAT004-0.ax').
%--------------------------------------------------------------------------
cnf(assume_ab_exists,hypothesis,
    ( there_exists(compose(a,b)) )).

cnf(cancellation_for_compose1,hypothesis,
    ( compose(a,X) != Y
    | compose(a,Z) != Y
    | X = Z )).

cnf(cancellation_for_compose2,hypothesis,
    ( compose(b,X) != Y
    | compose(b,Z) != Y
    | X = Z )).

cnf(assume_h_exists,hypothesis,
    ( there_exists(h) )).

cnf(ab_h_equals_ab_g,hypothesis,
    ( compose(compose(a,b),h) = compose(compose(a,b),g) )).

cnf(prove_g_equals_h,negated_conjecture,
    (  g != h )).

%--------------------------------------------------------------------------
