%--------------------------------------------------------------------------
% File     : COL069-1 : TPTP v3.0.1. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for B and L
% Version  : [WM88] (equality) axioms.
% English  : The strong fixed point property holds for the set 
%            P consisting of the combinators B and L, where ((Bx)y)z 
%            = x(yz), (Lx)y = x(yy).

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Wos93] Wos (1993), The Kernel Strategy and Its Use for the St
% Source   : [Wos93]
% Names    : Question 6 [Wos93]
%          : Question 16 [Wos93]

% Status   : Satisfiable
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   3 unit;   1 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :    6 (   0 singleton)
%            Maximal term depth    :    4 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(b_definition,axiom,
    ( apply(apply(apply(b,X),Y),Z) = apply(X,apply(Y,Z)) )).

cnf(l_definition,axiom,
    ( apply(apply(l,X),Y) = apply(X,apply(Y,Y)) )).

cnf(prove_fixed_point,negated_conjecture,
    (  apply(Y,f(Y)) != apply(f(Y),apply(Y,f(Y))) )).

%--------------------------------------------------------------------------
