%--------------------------------------------------------------------------
% File     : COL074-1 : TPTP v3.0.1. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Unsatisfiable variant of TRC
% Version  : [Jec95] (equality) axioms.
% English  : If the function symbol K is replaced by the K combinator then 
%            the resultant system is inconsistent.

% Refs     : [Jec95] Jech (1995), Otter Experiments in a System of Combinat
% Source   : [Jec95]
% Names    : - [Jec95]

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   10 (   1 non-Horn;   8 unit;   2 RR)
%            Number of atoms       :   12 (  12 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   18 (   3 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Don't include axioms of Type-respecting combinators 
%include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
%----Replace k function by k combinator 
%input_clause(k_definition,axiom,
%    [++equal(apply(k(X),Y),X)]).
cnf(k_definition,negated_conjecture,
    ( apply(apply(k,X),Y) = X )).

cnf(projection1,axiom,
    ( apply(projection1,pair(X,Y)) = X )).

cnf(projection2,axiom,
    ( apply(projection2,pair(X,Y)) = Y )).

cnf(pairing,axiom,
    ( pair(apply(projection1,X),apply(projection2,X)) = X )).

cnf(pairwise_application,axiom,
    ( apply(pair(X,Y),Z) = pair(apply(X,Z),apply(Y,Z)) )).

%----Replace k function by k combinator 
%input_clause(abstraction,axiom,
%    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,k(Z)),
%apply(Y,Z)))]).
cnf(abstraction,negated_conjecture,
    ( apply(apply(apply(abstraction,X),Y),Z) = apply(apply(X,apply(k,Z)),apply(Y,Z)) )).

cnf(equality,axiom,
    ( apply(eq,pair(X,X)) = projection1 )).

cnf(extensionality1,axiom,
    ( X = Y
    | apply(eq,pair(X,Y)) = projection2 )).

cnf(extensionality2,axiom,
    ( X = Y
    | apply(X,n(X,Y)) != apply(Y,n(X,Y)) )).

cnf(different_projections,axiom,
    (  projection1 != projection2 )).

%----Subsitution axioms 
