%--------------------------------------------------------------------------
% File     : FLD041-3 : TPTP v3.0.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : If a,b are not 0, the the product of a and b is not 0
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.17 v2.7.0, 0.12 v2.6.0, 0.67 v2.5.0, 0.60 v2.3.0, 0.67 v2.2.1, 0.67 v2.1.0
% Syntax   : Number of clauses     :   31 (   3 non-Horn;   8 unit;  31 RR)
%            Number of atoms       :   82 (   0 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   73 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(not_sum_3,negated_conjecture,
    ( ~ sum(additive_identity,a,additive_identity) )).

cnf(not_sum_4,negated_conjecture,
    ( ~ sum(additive_identity,b,additive_identity) )).

cnf(product_5,negated_conjecture,
    ( product(a,b,additive_identity) )).

%--------------------------------------------------------------------------
