%--------------------------------------------------------------------------
% File     : GEO008-1 : TPTP v3.0.1. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : Betweenness for 5 points on a line (Five point theorem)
% Version  : [MOW76] axioms.
% English  : For all points x, y, z, w, and v, if y and w are between 
%            x and z, and v is between y and w, then v is between x and z.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [ANL]
% Names    : T8 [MOW76]
%          : Test Problem 10 [Wos88]
%          : Five Point Theorem [Wos88]
%          : t8.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.82 v2.7.0, 0.92 v2.6.0, 0.88 v2.5.0
% Syntax   : Number of clauses     :   24 (   6 non-Horn;  10 unit;  21 RR)
%            Number of atoms       :   68 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   13 (   8 constant; 0-6 arity)
%            Number of variables   :   79 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
%--------------------------------------------------------------------------
cnf(c_between_a_and_e,hypothesis,
    ( between(a,c,e) )).

cnf(d_between_a_and_e,hypothesis,
    ( between(a,d,e) )).

cnf(b_between_c_and_d,hypothesis,
    ( between(c,b,d) )).

cnf(prove_betweenness,negated_conjecture,
    ( ~ between(a,b,e) )).

%--------------------------------------------------------------------------
