%--------------------------------------------------------------------------
% File     : GEO031-2 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Second inner five-segment theorem
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   25 (   5 non-Horn;  13 unit;  22 RR)
%            Number of atoms       :   63 (   7 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   16 (  11 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(u_to_v_equals_u1_to_v1,hypothesis,
    ( equidistant(u,v,u1,v1) )).

cnf(u_to_w_equals_u1_to_w1,hypothesis,
    ( equidistant(u,w,u1,w1) )).

cnf(u_to_x_equals_u1_to_x1,hypothesis,
    ( equidistant(u,x,u1,x1) )).

cnf(w_to_x_equals_w1_to_x1,hypothesis,
    ( equidistant(w,x,w1,x1) )).

cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(v1_between_u1_and_w1,hypothesis,
    ( between(u1,v1,w1) )).

cnf(prove_v_to_x_equals_v1_to_x1,negated_conjecture,
    ( ~ equidistant(v,x,v1,x1) )).

%--------------------------------------------------------------------------
