%--------------------------------------------------------------------------
% File     : GEO052-2 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Second inner connectivity property of betweenness
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   22 (   5 non-Horn;  10 unit;  19 RR)
%            Number of atoms       :   60 (   7 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   12 (   7 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_x,hypothesis,
    ( between(u,v,x) )).

cnf(w_between_u_and_x,hypothesis,
    ( between(u,w,x) )).

cnf(w_not_between_v_and_x,hypothesis,
    ( ~ between(v,w,x) )).

cnf(prove_v_between_w_and_x,negated_conjecture,
    ( ~ between(w,v,x) )).

%--------------------------------------------------------------------------
