%--------------------------------------------------------------------------
% File     : GEO072-2 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary 2 to non-collinear points theorem
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   26 (   5 non-Horn;  14 unit;  23 RR)
%            Number of atoms       :   64 (  10 equality)
%            Maximal clause size   :    8 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   13 (   8 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(u_to_v_equals_w_to_x,hypothesis,
    ( equidistant(u,v,w,x) )).

cnf(v_to_w_equals_x_to_u,hypothesis,
    ( equidistant(v,w,x,u) )).

cnf(u_to_w_equals_v_to_x,hypothesis,
    ( equidistant(u,w,v,x) )).

cnf(y_between_u_and_w,hypothesis,
    ( between(u,y,w) )).

cnf(y_between_v_and_x,hypothesis,
    ( between(v,y,x) )).

cnf(u_not_v,hypothesis,
    (  u != v )).

cnf(x_not_u,hypothesis,
    (  x != u )).

cnf(prove_v_equals_x,negated_conjecture,
    (  v != x )).

%--------------------------------------------------------------------------
