%--------------------------------------------------------------------------
% File     : GEO078-5 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Geometry (Hilbert)
% Problem  : Every plane contains 3 noncollinear points
% Version  : [Ben92] axioms : Augmented.
% English  : 

% Refs     : [Ben92] Benanav (1992), Recognising Unnecessary Clauses in Res
% Source   : [Ben92]
% Names    : G16 [Ben92]

% Status   : Satisfiable
% Rating   : 1.00 v2.7.0, 0.67 v2.6.0, 0.86 v2.5.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   34 (  20 non-Horn;   2 unit;  34 RR)
%            Number of atoms       :  196 (  49 equality)
%            Maximal clause size   :   16 (   6 average)
%            Number of predicates  :    6 (   0 propositional; 1-3 arity)
%            Number of functors    :   11 (   2 constant; 0-3 arity)
%            Number of variables   :   77 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms for Hilbert geometry 
include('Axioms/GEO003-0.ax').
%--------------------------------------------------------------------------
cnf(points_not_collinear,axiom,
    ( ~ point(X1)
    | ~ point(X2)
    | ~ point(X3)
    | X1 = X2
    | X1 = X3
    | X2 = X3
    | ~ on(X1,Y1)
    | ~ on(X2,Y1)
    | on(X3,Y1)
    | ~ line(Y1)
    | ~ collinear(X1,X2,X3) )).

cnf(there_is_a_plane,hypothesis,
    ( plane(a_plane) )).

cnf(prove_every_plane_contains_3_noncollinear_points,negated_conjecture,
    ( collinear(X1,X2,X3)
    | ~ point(X1)
    | ~ point(X2)
    | ~ point(X3)
    | X1 = X2
    | X1 = X3
    | X2 = X3
    | ~ on(X1,a_plane)
    | ~ on(X2,a_plane)
    | ~ on(X3,a_plane) )).

%--------------------------------------------------------------------------
