%--------------------------------------------------------------------------
% File     : GEO127-1 : TPTP v3.0.1. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Incidence on oriented curves can be defined using precedence
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.36 v2.7.0, 0.33 v2.6.0, 0.44 v2.4.0
% Syntax   : Number of clauses     :  102 (  45 non-Horn;   3 unit;  92 RR)
%            Number of atoms       :  314 (  40 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :   29 (   3 constant; 0-5 arity)
%            Number of variables   :  280 (  21 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO127+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%--------------------------------------------------------------------------
cnf(theorem_4_12_133,negated_conjecture,
    ( incident_o(sk26,sk25)
    | ordered_by(sk25,sk26,sk27)
    | ordered_by(sk25,sk27,sk26) )).

cnf(theorem_4_12_134,negated_conjecture,
    ( incident_o(sk26,sk25)
    | ~ incident_o(sk26,sk25) )).

cnf(theorem_4_12_135,negated_conjecture,
    ( ~ ordered_by(sk25,sk26,A)
    | ordered_by(sk25,sk26,sk27)
    | ordered_by(sk25,sk27,sk26) )).

cnf(theorem_4_12_136,negated_conjecture,
    ( ~ ordered_by(sk25,A,sk26)
    | ordered_by(sk25,sk26,sk27)
    | ordered_by(sk25,sk27,sk26) )).

cnf(theorem_4_12_137,negated_conjecture,
    ( ~ ordered_by(sk25,sk26,A)
    | ~ incident_o(sk26,sk25) )).

cnf(theorem_4_12_138,negated_conjecture,
    ( ~ ordered_by(sk25,A,sk26)
    | ~ incident_o(sk26,sk25) )).

%--------------------------------------------------------------------------
