%--------------------------------------------------------------------------
% File     : GRP040-3 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups of order 2, inverse is an involution
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.27 v2.7.0, 0.42 v2.6.0, 0.40 v2.5.0, 0.33 v2.4.0, 0.33 v2.3.0, 0.44 v2.2.1, 0.56 v2.2.0, 0.67 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses     :   17 (   2 non-Horn;  11 unit;   9 RR)
%            Number of atoms       :   32 (   2 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-3 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   30 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
%--------------------------------------------------------------------------
%----Definition of subgroup of index 2 
cnf(an_element_in_O2,axiom,
    ( subgroup_member(element_in_O2(A,B))
    | subgroup_member(B)
    | subgroup_member(A) )).

cnf(property_of_O2,axiom,
    ( product(A,element_in_O2(A,B),B)
    | subgroup_member(B)
    | subgroup_member(A) )).

cnf(a_in_subgroup,hypothesis,
    ( ~ subgroup_member(a) )).

cnf(b_is_in_subgroup,hypothesis,
    ( subgroup_member(b) )).

cnf(d_in_subgroup,hypothesis,
    ( ~ subgroup_member(d) )).

cnf(b_times_a_inverse_is_c,hypothesis,
    ( product(b,inverse(a),c) )).

cnf(a_times_c_is_d,hypothesis,
    ( product(a,c,d) )).

cnf(prove_inverse_is_self_cancelling,negated_conjecture,
    ( inverse(inverse(A)) = A )).

%--------------------------------------------------------------------------
