%--------------------------------------------------------------------------
% File     : GRP172-2 : TPTP v3.0.1. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Negative elements form a semigroup
% Version  : [Fuc94] (equality) axioms.
%            Theorem formulation : Using different definitions for =<.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p04d [Sch95] 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses     :   18 (   0 non-Horn;  18 unit;   3 RR)
%            Number of atoms       :   18 (  18 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   33 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
cnf(p04d_1,hypothesis,
    ( greatest_lower_bound(identity,a) = identity )).

cnf(p04d_2,hypothesis,
    ( greatest_lower_bound(identity,b) = identity )).

cnf(prove_p04d,negated_conjecture,
    (  least_upper_bound(identity,multiply(a,b)) != multiply(a,b) )).

%--------------------------------------------------------------------------
