%--------------------------------------------------------------------------
% File     : HWV005-2 : TPTP v3.0.1. Bugfixed v2.7.0.
% Domain   : Hardware Verification
% Problem  : A halfadder built from and, or and not gates
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.7.0
% Syntax   : Number of clauses     :   48 (   5 non-Horn;   8 unit;  48 RR)
%            Number of atoms       :  115 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :   11 (   0 propositional; 1-2 arity)
%            Number of functors    :   10 (   1 constant; 0-1 arity)
%            Number of variables   :   44 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
% Bugfixes : v2.7.0 - Bugfix in HWV002-0.ax
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/HWV002-0.ax').
%----Include model of halfadder
include('Axioms/HWV002-1.ax').
%--------------------------------------------------------------------------
%----Observations
cnf(h_isa_halfadder,hypothesis,
    ( halfadder(h) )).

cnf(in1_1,hypothesis,
    ( one(in1(h)) )).

cnf(in2_0,hypothesis,
    ( zero(in2(h)) )).

cnf(outs_0,hypothesis,
    ( zero(outs(h)) )).

cnf(outc_0,hypothesis,
    ( zero(outc(h)) )).

cnf(diagnosis_and1,negated_conjecture,
    ( ~ abnormal(and1(h)) )).

cnf(diagnosis_not1,negated_conjecture,
    ( ~ abnormal(not1(h)) )).

cnf(diagnosis_or1,negated_conjecture,
    ( ~ abnormal(or1(h)) )).

%--------------------------------------------------------------------------
