%--------------------------------------------------------------------------
% File     : LAT065-1 : TPTP v3.0.1. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Weak property 94-37 to make uniquely complemented lattice Boolean
% Version  : [EF+02] axioms.
% English  : 

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [EF+02]
% Names    : lattice-uc [EF+02]

% Status   : Unsatisfiable
% Rating   : 1.00 v2.5.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;  12 unit;   2 RR)
%            Number of atoms       :   15 (  15 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   23 (   2 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include lattice axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Complementation
cnf(top,axiom,
    ( join(A,complement(A)) = n1 )).

cnf(bottom,axiom,
    ( meet(A,complement(A)) = n0 )).

%----Complements are unique
cnf(complements_are_unique,axiom,
    ( join(A,B) != n1
    | meet(A,B) != n0
    | complement(A) = B )).

%----94-37
cnf(c94_37,axiom,
    ( meet(A,join(meet(B,join(C,meet(A,B))),meet(C,join(A,B)))) = join(meet(A,B),meet(A,C)) )).

%----Denial of distributivity
cnf(prove_distributivity,negated_conjecture,
    (  meet(a,join(b,c)) != join(meet(a,b),meet(a,c)) )).

%--------------------------------------------------------------------------
