%--------------------------------------------------------------------------
% File     : MGT023-2 : TPTP v3.0.1. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Stable environments have a critical point.
% Version  : [PM93] axioms.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.18 v2.7.0, 0.17 v2.6.0, 0.11 v2.5.0, 0.22 v2.4.0
% Syntax   : Number of clauses     :   17 (   7 non-Horn;   3 unit;  17 RR)
%            Number of atoms       :   68 (   3 equality)
%            Maximal clause size   :    6 (   4 average)
%            Number of predicates  :    7 (   0 propositional; 1-4 arity)
%            Number of functors    :    9 (   3 constant; 0-2 arity)
%            Number of variables   :   30 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT023+2.p 
%--------------------------------------------------------------------------
cnf(mp_earliest_time_growth_rate_exceeds_19,axiom,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | subpopulations(first_movers,efficient_producers,A,sk1(B,A))
    | in_environment(A,sk2(A)) )).

cnf(mp_earliest_time_growth_rate_exceeds_20,axiom,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | greater_or_equal(sk1(B,A),B)
    | in_environment(A,sk2(A)) )).

cnf(mp_earliest_time_growth_rate_exceeds_21,axiom,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | subpopulations(first_movers,efficient_producers,A,sk1(B,A))
    | ~ greater(growth_rate(efficient_producers,sk2(A)),growth_rate(first_movers,sk2(A))) )).

cnf(mp_earliest_time_growth_rate_exceeds_22,axiom,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | subpopulations(first_movers,efficient_producers,A,sk1(B,A))
    | ~ subpopulations(first_movers,efficient_producers,A,C)
    | ~ greater(C,sk2(A))
    | greater(growth_rate(efficient_producers,C),growth_rate(first_movers,C)) )).

cnf(mp_earliest_time_growth_rate_exceeds_23,axiom,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | greater_or_equal(sk1(B,A),B)
    | ~ greater(growth_rate(efficient_producers,sk2(A)),growth_rate(first_movers,sk2(A))) )).

cnf(mp_earliest_time_growth_rate_exceeds_24,axiom,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | greater_or_equal(sk1(B,A),B)
    | ~ subpopulations(first_movers,efficient_producers,A,C)
    | ~ greater(C,sk2(A))
    | greater(growth_rate(efficient_producers,C),growth_rate(first_movers,C)) )).

cnf(mp_earliest_time_growth_rate_exceeds_25,axiom,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | ~ greater(growth_rate(efficient_producers,sk1(B,A)),growth_rate(first_movers,sk1(B,A)))
    | in_environment(A,sk2(A)) )).

cnf(mp_earliest_time_growth_rate_exceeds_26,axiom,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | ~ greater(growth_rate(efficient_producers,sk1(B,A)),growth_rate(first_movers,sk1(B,A)))
    | ~ greater(growth_rate(efficient_producers,sk2(A)),growth_rate(first_movers,sk2(A))) )).

cnf(mp_earliest_time_growth_rate_exceeds_27,axiom,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | ~ greater(growth_rate(efficient_producers,sk1(B,A)),growth_rate(first_movers,sk1(B,A)))
    | ~ subpopulations(first_movers,efficient_producers,A,C)
    | ~ greater(C,sk2(A))
    | greater(growth_rate(efficient_producers,C),growth_rate(first_movers,C)) )).

cnf(d1_28,hypothesis,
    ( ~ environment(A)
    | greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))
    | ~ in_environment(A,B)
    | subpopulations(first_movers,efficient_producers,A,sk3(B,A))
    | B = critical_point(A) )).

cnf(d1_29,hypothesis,
    ( ~ environment(A)
    | greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))
    | ~ in_environment(A,B)
    | greater(sk3(B,A),B)
    | B = critical_point(A) )).

cnf(d1_30,hypothesis,
    ( ~ environment(A)
    | greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))
    | ~ in_environment(A,B)
    | ~ greater(growth_rate(efficient_producers,sk3(B,A)),growth_rate(first_movers,sk3(B,A)))
    | B = critical_point(A) )).

cnf(l1_31,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | in_environment(A,sk4(A)) )).

cnf(l1_32,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,sk4(A))
    | greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B)) )).

cnf(prove_l5_33,negated_conjecture,
    ( environment(sk5) )).

cnf(prove_l5_34,negated_conjecture,
    ( stable(sk5) )).

cnf(prove_l5_35,negated_conjecture,
    ( ~ in_environment(sk5,critical_point(sk5)) )).

%--------------------------------------------------------------------------
