%--------------------------------------------------------------------------
% File     : RNG006-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : X*(Y+ -Z) = (X*Y) + -(X*Z)
% Version  : [Wos65] axioms : Augmented.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SPRFN]
% Names    : Problem 25 [Wos65]

% Status   : Unsatisfiable
% Rating   : 0.11 v2.7.0, 0.00 v2.2.1, 0.22 v2.2.0, 0.14 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   25 (   0 non-Horn;  11 unit;  19 RR)
%            Number of atoms       :   61 (   2 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :   11 (   8 constant; 0-2 arity)
%            Number of variables   :   80 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : These are the same axioms as in [MOW76].
%--------------------------------------------------------------------------
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%--------------------------------------------------------------------------
cnf(product_lemma1,axiom,
    ( ~ product(A,B,C)
    | product(A,additive_inverse(B),additive_inverse(C)) )).

cnf(product_lemma2,axiom,
    ( ~ product(A,B,C)
    | product(additive_inverse(A),B,additive_inverse(C)) )).

cnf(product_lemma3,axiom,
    ( ~ product(A,B,C)
    | product(additive_inverse(A),additive_inverse(B),C) )).

cnf(b_plus_inverse_c,hypothesis,
    ( sum(b,additive_inverse(c),bS_Ic) )).

cnf(a_times_b,hypothesis,
    ( product(a,b,aPb) )).

cnf(a_times_c,hypothesis,
    ( product(a,c,aPc) )).

cnf(aPb_plus_IaPc,hypothesis,
    ( sum(aPb,additive_inverse(aPc),aPb_S_IaPc) )).

cnf(prove_a_times_bS_Ic_is_aPb_S__IaPc,negated_conjecture,
    ( ~ product(a,bS_Ic,aPb_S_IaPc) )).

%--------------------------------------------------------------------------
