%--------------------------------------------------------------------------
% File     : RNG008-6 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Boolean rings are commutative
% Version  : [MOW76] axioms : Augmented.
% English  : Given a ring in which for all x, x * x = x, prove that for 
%            all x and y, x * y = y * x.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Ove90] Overbeek (1990), ATP competition announced at CADE-10
%          : [Ove93] Overbeek (1993), The CADE-11 Competitions: A Personal 
%          : [LM93]  Lusk & McCune (1993), Uniform Strategies: The CADE-11 
% Source   : [Ove90]
% Names    : CADE-11 Competition 3 [Ove90]
%          : THEOREM 3 [LM93]

% Status   : Unsatisfiable
% Rating   : 0.22 v2.7.0, 0.00 v2.6.0, 0.43 v2.5.0, 0.20 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.71 v2.1.0, 0.75 v2.0.0
% Syntax   : Number of clauses     :   22 (   0 non-Horn;  11 unit;  13 RR)
%            Number of atoms       :   55 (   2 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   74 (   2 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Supplies multiplication to identity as lemmas
%--------------------------------------------------------------------------
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%--------------------------------------------------------------------------
cnf(x_times_identity_x_is_identity,axiom,
    ( product(X,additive_identity,additive_identity) )).

cnf(identity_times_x_is_identity,axiom,
    ( product(additive_identity,X,additive_identity) )).

cnf(x_squared_is_x,hypothesis,
    ( product(X,X,X) )).

cnf(a_times_b_is_c,hypothesis,
    ( product(a,b,c) )).

cnf(prove_b_times_a_is_c,negated_conjecture,
    ( ~ product(b,a,c) )).

%--------------------------------------------------------------------------
